*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Montserrat";
}
:root{
    --black: #191917;
    --white : #fff;
    --green : #D6FF41;
}
body{
background: var(--black, #191917);
width: 100%;
overflow-x: hidden;
}

header{
    width: 100%;
    background-color: var(--black);
    display: flex;
flex-direction: row;
justify-content: center;
align-items: center;
height: 80px;
position: fixed;
top: 0;
z-index: 99999999999;
}

nav{
    width: 95%;
    display: flex;
    height: 47%;
    flex-direction: row;
    justify-content: space-between;
}

ul{
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* gap: 79px; */
    width: 43%;
}

li a{
    color: var(--white, #FFF);
font-family: Montserrat;
font-size: 15px;
font-style: normal;
font-weight: 300;
line-height: normal;
text-decoration: none;
transition: all 300ms ease;
cursor: pointer;
}

li{
    position: relative;
}

li img{
    position: absolute;
    bottom: -7px;
    left: 0;
    width: 100%;
}
.selected{
    font-weight: 600 !important;
}

li a:hover{
    font-weight: 600;
    font-size: 17px;
}

nav button{
    display: flex;
    width: 10%;
    height: 100%;
    justify-content: center;
    align-items: center;
    border-radius: 116px;
    background: var(--green, #D6FF41);
    outline: none;
    border: none;
    cursor: pointer;
    transition: all 300ms ease;
}

nav button:hover{
    scale: 1.1;
    background-color: #FFF;
    color: #191917;
}

.herocont{
    width: 95%;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.hero{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 5vw 0;
    background-image: url(img/Property\ 1=Default.svg);
    background-repeat: no-repeat;
    background-position: right center;
}
main{
    margin-top: 80px;
}

.row1_hero{
    display: inline-flex;
align-items: flex-start;
justify-content: space-between;
width: 100%;
opacity: 0;
transform: translateY(20px);
transition: all 300ms ease;
}

.loc{
    display: flex;
    align-items: center;
    gap: 1vw;
    width: 50%;
}

.loc h6{
    color: var(--white, #FFF);
font-family: Montserrat;
font-size: 13.236px;
font-style: normal;
font-weight: 300;
line-height: normal;
}

.loc hr{
    width: 40%;
height: 0.509px;
}

.p p{
    color: var(--white, #FFF);
font-family: Montserrat;
font-size: 13.236px;
font-style: normal;
font-weight: 300;
line-height: normal;
}
.p{
    width: 33%;
}

.herotitle h1{
    width: 100%;
    color: var(--white, #FFF);
text-align: center;
font-family: Montserrat;
font-size:90.18px;
font-style: normal;
font-weight: 700;
line-height: 105%; /* 111.489px */
text-transform: uppercase;
}

.herotitle span{

color: #D6FF41;

}

.herotitle{
    margin-top: 5vw;
    opacity: 0;
transform: translateY(20px);
transition: all 300ms ease 0.3s;
}

.scroll{
    position: absolute;
    right: 0;
    top: 50%;
}

.heromodel{
    width: 90%;
    height: 60vh;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    opacity: 0;
transform: translateY(20px);
transition: all 300ms ease 0.8s;
    margin-top: -10%;
}
.herocar{
    width: 100%;
    height: 100%;
}

.explore{
    display: inline-flex;
padding: 8.293px 19.695px;
align-items: center;
gap: 0.5vw;
border-radius: 36.28px;
border: 1.037px solid var(--white, #FFF);
box-shadow: 0 4.146px 0 0 #FFF;
color: var(--white, #FFF);
font-family: Montserrat;
font-size: 16.811px;
font-style: normal;
font-weight: 300;
line-height: normal;
background-color: transparent;
cursor: pointer;
transition: all 300ms ease;
}

.explore:hover{
  
border: 1.018px solid var(--white, #FFF);
background: #FFF;
box-shadow: 0 4.072px 0 0 #D6FF41;
color: var(--black, #191917);
}

.explore img{
    transition: all 300ms ease;
}
.explore:hover img{
    filter: invert(1);
    transform: rotate(45deg);
}

.about{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5vw 0;
}

.abtcont{
    width: 95%;
    display: flex;
    justify-content: space-between;
}

.half1_abt{
    width: 50%;
    opacity: 0;
    transform: translateX(20px);
    transition: all 300ms ease;
}
.half1_abt h2{
color: var(--white, #FFF);

font-family: Montserrat;
font-size: 41.82px;
font-style: normal;
font-weight: 500;
line-height: 158%; /* 66.076px */}

.half2_abt{
    width: 50%;
    display: flex;
    flex-direction: column;
     opacity: 0;
    transform: translateX(-20px);
    transition: all 300ms ease 300ms;
}

.deet{
    border-bottom: 1px solid var(--grey, #C0C2B7);
    padding-bottom: 5vw;
}

.deet p{
    color: var(--white, #FFF);
font-family: Montserrat;
font-size: 28.82px;
font-style: normal;
font-weight: 400;
line-height: 158%; /* 45.536px */
}

.deet span{
    color: var(--grey, #C0C2B7) !important;
}

.stats{
    display: flex;
    justify-content: space-between;
    padding-top: 3vw;
}

.stat1{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding-right: 3vw;
    border-right: 1px solid var(--grey, #C0C2B7);
}

.stat2 {
    border-right: 1px solid var(--grey, #c0c2b700);

}
.stat1 h3{
    color: var(--white, #FFF);
font-family: Montserrat;
font-size: 41.82px;
font-style: normal;
font-weight: 600;
line-height: 158%; /* 66.076px */
}

.stat1 span{
    color: var(--grey, #C0C2B7);
font-family: Montserrat;
font-size: 20.82px;
font-style: normal;
font-weight: 300;
line-height: 158%; /* 32.896px */
}

.models{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.modelcont{
    width: 95%;
    display: flex;
    flex-direction: column;
    gap: 4vw;
    padding-top: 7vw;
    padding-bottom: 7vw;
    align-items: center;
}

.modelcont h1{
    color: var(--white, #FFF);
text-align: center;
font-family: Montserrat;
font-size: 48px;
font-style: normal;
font-weight: 300;
line-height: 105%; /* 50.4px */
}

.modelslist{
    display: flex;
    align-items: center;
    width: 100%;
    gap: 1.5%;
    height: 59vh;
    max-width: 1600px;
}

.modelcard{
    width: 32%;
    /* max-width: 515px; */
    border-radius: 31.678px;
    background: var(--white, #FFF);
    padding: 2vw 0 0vw 2vw;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    flex: 1;
    height: 100%;
    transition: 
      flex 500ms ease,
      background-color 400ms ease,
      flex-direction 400ms ease;
}

.textmodel{
    width: 70%;
    display: flex;
    flex-direction: column;
    gap: 1vw;
    position: relative;
    z-index: 999999;
}

.textmodel h2{
    color: var(--black, #191917);
font-family: Montserrat;
font-size: 30.34px;

font-style: normal;
font-weight: 700;
line-height: 105%; /* 18.45px */
}

.textmodel span{
    font-weight: 400;
}

.feat{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 2.729px;
}

.featsolo{
    display: flex;
justify-content: center;
align-items: center;
gap: 1vw;
}

.featsolo h5{
    color: #000;
font-family: Montserrat;
font-size: 14px;
font-style: normal;
font-weight: 400;
line-height: 193%; /* 21.06px */
}



.viewdeetg{
    display: flex;
padding: 12.901px 20.426px;
align-items: center;
gap: 1vw;
border-radius: 37.628px;
border: 1.075px solid var(--black, #191917);
background: var(--green, #D6FF41);
box-shadow: 0 2.15px 0 0 #191917;
color: var(--black, #191917);
font-family: Montserrat;
font-size: 14px;
font-style: normal;
font-weight: 300;
line-height: normal;
width: fit-content;
cursor: pointer;
transition: all 300ms ease;
}

.viewdeetg:hover{
    border-radius: 35.634px;
border: 1.018px solid var(--green, #D6FF41);
background: #191917;
box-shadow: 0 4.072px 0 0 #D6FF41;
color: #FFF;

}

.viewdeetg:hover img{
    filter: invert(1);
    transform: rotate(-30deg);
}
.knowmore:hover img{
    filter: invert(0);
    transform: rotate(-30deg);
}
.knowmore{
    background-color: #FFF !important;
    display: none;
    transition: all 300ms ease;
}
.knowmore img{
    transition: all 300ms ease;

}
.knowmore:hover{
    background-color: #D6FF41 !important;
    color: #191917;
    box-shadow: 0 4.072px 0 0 #000000;
    border: 1.075px solid var(--black, #191917);
    
}
.knowmore2:hover img{
    filter: invert(0);
    transform: rotate(-30deg);
}
.knowmore2{
    background-color: #FFF !important;
    display: flex;
    transition: all 300ms ease;
    padding: 10.549px 23.036px !important;

}
.knowmore2 img{
    transition: all 300ms ease;

}
.knowmore2:hover{
    background-color: #D6FF41 !important;
    color: #191917;
    box-shadow: 0 4.072px 0 0 #000000;
    border: 1.075px solid var(--black, #191917);
    
}
.carpos {
    align-self: flex-end;
    max-width: 100%;
    height: auto;
    transition: transform 400ms ease, width 400ms ease;
    width: 90%;
}

.modelcard.active {

    flex: 2;
    background: #D6FF41;
    flex-direction: row;
}

.modelcard.inactive {
    flex: 1;
    background: #FFF;

}


.modelcard.active .knowmore {
    display: flex;
}

.modelcard.active .viewdeetg:not(.knowmore) {
    display: none;
}
.carmodelcard model-viewer {
    transform: translateX(20%) scale(1.1);
    transition: transform 600ms ease;
  }
  

  .modelslist.has-active .modelcard.inactive model-viewer {
    transform: translateX(20%) scale(1.1);
    
  }

  .modelcard.active model-viewer {
    transform: translateX(-11%) translateY(-19%) scale(1.3);
  }
  
a{
    text-decoration: none;
}

.brands{
    padding-top: 5vw;
    padding-bottom: 5vw;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 3vw;
}

.brands h1{
    color: var(--white, #FFF);
text-align: center;
font-family: Montserrat;
font-size: 48px;
font-style: normal;
font-weight: 300;
line-height: 105%; /* 50.4px */
}
.brandsvw {
    overflow: hidden;
    width: 1240px; 
    margin: 0 auto;
    position: relative;
    display: flex;
    height: 40vh;
    justify-content: center;
}

.brandcard {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    gap: 10px;
    border-radius: 29px;
    background: var(--black, #191917);
    box-shadow:
        0 4px 8px rgba(0,0,0,0.25),
        0 -4px 12px rgba(255,255,255,0.15) inset,
        0 4px 12px rgba(255,255,255,0.15) inset;
    transition: width 0.5s ease, padding 0.5s ease;
    width: 15vw;
    padding: 44.992px 22.647px;
}





.brandslist {
    display: flex;
    gap: 24px;
    align-items: flex-end;
    white-space: nowrap;
    will-change: transform;
    width: 100%;
}

@keyframes scroll {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(-50%); /* scroll by half because we duplicated logos */
    }
  }

.brandcard img{
    width: 100%;
}



.grad{
width: 504px;
height: 372px;    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 999;
    background: linear-gradient(270deg, rgba(25, 25, 23, 0.00) 0%, #191917 100%);
}
.grad2{
width: 504px;
height: 372px;    position: absolute;
    bottom: 0;
    right: 0;
    z-index: 999;
background: linear-gradient(270deg, rgba(25, 25, 23, 0.00) 0%, #191917 100%);
transform: rotate(180deg);
}

footer{
  display: flex;
width: 100%;
height: 55vh;
flex-direction: column;
align-items: center;
justify-content: center;
gap: 89px;
font-family: "Roboto Condensed";
border-top: 1px solid var(--green, #D6FF41);
background: var(--black, #191917);
color: white;
}

.footcol{
  width: 25%;
  display: flex;
flex-direction: column;
align-items: flex-start;
gap: 20px;
}

.footerrow{
  display: flex;
width: 85%;
align-items: flex-start;
gap: 32px;

}

.footcol h4{
  color: var(--beige, #FFFDF4);

font-size: 20px;
font-style: normal;
font-weight: 700;
line-height: 28px; /* 140% */
}
.proftxt{
  display: flex;
width: 100%;
flex-direction: column;
align-items: flex-start;
gap: 4px;
}

.proftxt h5{
  color: #212121;
font-family: "Poppins";
font-size: 24px;
font-style: normal;
font-weight: 400;
line-height: normal;
}

.proftxt span{
  color: rgba(46, 45, 45, 0.622);
font-family: "Poppins";
font-size: 16px;
font-style: normal;
font-weight: 300;
line-height: normal;
}
.profiletab{
  display: flex;
align-items: center;
gap: 26px;
}
.footcol p{
  color: var(--beige, #FFFDF4);

font-size: 16px;
font-style: normal;
font-weight: 400;
line-height: 24px; /* 150% */
}
.footcol h5{
  color: #D6FF41;

font-size: 18px;
font-style: normal;
font-weight: 600;
line-height: 28px; /* 155.556% */
}
#x{
  display: none;
  cursor: pointer;
}

.footcol a{
  color: var(--beige, #FFFDF4);
text-decoration: none;
font-size: 16px;
font-style: normal;
font-weight: 300;
line-height: normal;
}
.footcol span{
  filter: brightness(3.6);
}
.links{
  display: flex;
flex-direction: column;
align-items: flex-start;
gap: 8px;
align-self: stretch;
}

.wheel{
    background: #212121;
    padding-top: 4vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
}

.wheel h1{
    color: var(--white, #FFF);
text-align: center;
font-family: Montserrat;
font-size: 48px;
font-style: normal;
font-weight: 300;
line-height: 124%; /* 59.52px */
width: 80%;
}

.wheelcont{
    width: 90%;
    height: 75vh;
    background-position: center;
    background-image: url(img/Frame\ 81.svg);
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;
}

.arrowback , .arrowgo{
    width: 37.161px;
height: 110.975px;
cursor: pointer;
    z-index: 80;
}

.arrowback{
    background-image: url(img/ar1.svg);
    position: absolute;
    left: 5%;
    top: 48%;
}

.arrowgo{
    background-image: url(img/ar2.svg);
    position: absolute;
    right: 5%;
    top: 48%;
}
.carcard {
    display: flex;
    width: 30vw;
    padding: 21.435px 52.396px;
    flex-direction: column;
    align-items: center;
    gap: 23.816px;
    position: absolute;
    z-index: 1;
    border-radius: 14.29px;
    background: #191917;
    box-shadow: 0 4.763px 4.763px rgba(0, 0, 0, 0.25);
    transition: transform 0.5s ease, opacity 0.5s ease;
    opacity: 0;
    transform: scale(0);
}

/* Set the starting visible card */
.carcard {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    opacity: 0;
    transition: transform 0.5s ease, opacity 0.5s ease;
    z-index: 1;
}

.carcard.active {
    transform: translate(-50%, -50%) scale(1);
    opacity: 1;
    z-index: 10;
}

.carcard h4 , .carcard1 h4 , .carcard2 h4{
color: #FFF;
text-align: center;
font-family: Montserrat;
font-size: 28.58px;
font-style: normal;
font-weight: 500;
line-height: 124%; /* 35.439px */
}

.carcard h6 , .carcard1 h6 , .carcard2 h6{
    color: #FFF;
text-align: center;

font-family: Montserrat;
font-size: 21.435px;
font-style: normal;
font-weight: 300;
line-height: 124%; /* 26.579px */
}

.wheelrot{
    width: 100%;
    height: 60vh;
    overflow: hidden;
    position: absolute;
    z-index: 0;
    bottom: 0;
    display: flex;
    align-items: flex-start;
    justify-content: center;
}
.wheelrota {
    transition: transform 0.5s ease; /* smooth rotation */
    transform-origin: center center; /* rotate around center */
}



model-viewer::part(default-progress-bar){
    display: none;
}

.greenshadow{
    position: absolute;
    bottom: 0;
 
    z-index: -99;

}

.carmodelcard{
    width: 100%;
    height: 29vh;
    align-self: flex-end;
}

.greycar1 , .blackcar2{
    width: 100%;
    height: 100%;
    scale: 1.6;
    transform: translateX(20%);
}
.hero_prod{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-bottom: 8%;

}
.herotitle_prod h1{

    color: #191917;
    text-shadow:
      -1px -1px 0 #ffffff,
       1px -1px 0 #fff,
      -1px  1px 0 #fff,
       1px  1px 0 #fff;
font-family: Montserrat;
font-size: 21vw;
text-align: center;
font-style: normal;
font-weight: 800;
line-height: normal;
}

.careratit{
    font-size: 17vw !important;
}

.herotitle_prod {
    width: 95%;
}

.prodmodel{
    width: 100%;
    height: 65vh;
    margin-top: -18%;
    position: relative;
}

.productone{
    width: 100%;
    height: 100%;
}
.curved{
    position: absolute;
    bottom: -75px;
    left: 50%;
    transform: translateX(-50%);
    z-index: -99;
}

.burger{
  display: none;
  cursor: pointer;
}
.burgermenu{
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 48px;
  z-index: 999999999;
  background: #D6FF41;
  position: absolute;
  left: 0;
  top: -105vh;
  transition: top 0.4s ease;
}
.burgermenu.active {
  top: 0;                 
}

.burgerlist{
  display: flex;
  width: 170px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 36px;
}


.burgerlist a{
color: var(--black, #191917);
text-align: center;
font-family: Montserrat;
font-size: 24px;
font-style: normal;
font-weight: 400;
line-height: normal;
}

@media (min-width: 600px) and (max-width: 1070px) {
    .navlogo{
        width: 18%;
    }

    ul{
        width: 50%;
    }

    main{
        margin-top: 115px;
    }
    nav button{
        width: 13%;
    }
    .loc h6, .p p{
        font-size: 10px;
    }
    .herotitle h1{
        font-size: 7vw;

    }

    .heromodel{
        margin-top: -17%;
        width: 96%;
    height: 62vh;
    }

    .herocar{
        height: 84%;
    }
    .half1_abt h2 , .stat1 h3{
        font-size: 3vw;
    }
    .deet p{
        font-size: 1.8vw;
    }
    .stat1 span{
        font-size: 1.5vw;
        line-height: 124%;
    }
    .modelcont h1 , .brands h1 , .wheel h1{
        font-size: 4vw;
    }
    .modelcard{
        border-radius: 15px;
    }
    .textmodel h2{
        font-size: 2.4vw;
    }
    .featsolo h5{
        font-size: 1.4vw;
    }
    
    .featsolo img{
        width: 20px;
    }
    .feat{
        gap: 5px;
    }
    .viewdeetg{
        font-size: 12px;
    }
    .textmodel{
        width: 90%;
        gap: 1.5vw;
    }
    .greycar1 , .blackcar2{
        height: 70%;
    }
    .modelcard.active model-viewer {
    transform: translateX(-28%) translateY(2%) scale(1.5);
}
    .brandslist{
        gap: 18px;
    }

    .brandcard{
        width: 24vw;
        border-radius: 15px
    }
    .carcard{
        width: 57vw;
    }
    .wheelrota{
        width: 100%;
    }
    .arrowback , .arrowgo{
        top: 20%;
    }
    .footerrow{
        width: 90%;
    }
}

@media (min-width: 300px) and (max-width: 600px){
     ul{
        display: none;
     }
     .navlogo{
        width: 25vw;
     }

       .burger{
    display: flex;
    width: 6vw;
    
  }

  header button{
    display: none;
  }

  #x{
    display: block;
  }
  nav{
    width: 85%;
  }
.row1_hero{
    display: none;
}
.herotitle h1{
    font-size: 7vw;
}
.heromodel{
        width: 100%;
    height: 45vh;
    margin-top: -20%;
}
.herocar{
    height: 57%;
}
.scroll{
    top: 25%;
    z-index: 9999999;
}
.abtcont{
    flex-direction: column;
    gap: 5vw;
    width: 90%;
}

.half1_abt , .half2_abt{
    width: 100%;

}

.half1_abt h2 , .stat1 h3{
    font-size: 5.5vw;}

.deet p{
    font-size: 3vw;}

.stat1 span{
    font-size: 2.5vw;}


    .stats{
            display: flex;
    justify-content: center;
    padding-top: 7vw;
    gap: 30px;
    }

    .deet{
        padding: 7vw 0;
    }
    .modelcont{
        width: 90%;
        gap: 9vw;
    }
    .modelcont h1 , .brands h1 , .wheel h1{
        font-size: 6vw;
        width: 95%;
    }
    .modelslist{
        flex-direction: column;
        height: auto;
        gap: 8vw;
    }
    .modelcard{
        width: 100%;
        height: auto;
        padding: 9vw 0 8vw 6vw;
    }
    .modelcard.active {

    flex: 2;
    background: #D6FF41;
    flex-direction: column;
}
.greenshadow{
    width: 100%;
    bottom: 80px;
}
.modelcard.active model-viewer {
    transform: translateX(-5px) translateY(0%) scale(1);
}
.brandcard{
    width: 40vw;
}

.brands{
    padding-top: 7vw;
    padding-bottom: 14vw;
}

.carcard{
    width: 85vw;
    gap: 15px;
}
.carcard h4 , .carcard1 h4 , .carcard2 h4{
    font-size: 5vw;}

    .carcard h6 , .carcard1 h6 , .carcard2 h6{
        font-size: 3vw;
    }

    .wheelrota{
        width: 100%;
    }

    .wheelcont{
        width: 100%;
    }
    .wheel{
        padding-top: 12vw;
    }
    .footerrow{
        flex-direction: column;
        width: 90%;
        gap: 50px;
    }
    footer{
        height: auto;
        padding: 8vw 0;
    }
    .footcol{
        width: 100%;
    }
}


.producttabs{
    display: flex;
justify-content: space-between;
align-items: center;
width: 100%;
align-self: stretch;
margin-top: 8%;
padding: 0 2% 80px 2%;
}

.prodname{
    display: flex;
    width: 27%;
    flex-direction: column;
    align-items: flex-start;

}

.prodname h3{
    color: #FFF;
font-family: Montserrat;
font-size: 2vw;
font-style: normal;
font-weight: 700;
line-height: normal;
}

.prodname h5{
    color: #A0A0A0;
font-family: Montserrat;
font-size: 3vw;
font-style: normal;
font-weight: 600;
line-height: normal;

}

.prodfeat{
    display: flex;
align-items: center;
width: 33%;
justify-content: space-between;
}

.feature1{
    display: flex;
flex-direction: column;
align-items: flex-start;
gap: 14.136px;
}

.feature1 h6{
    color: #A0A0A0;
font-family: Montserrat;
font-size: 2vw;
font-style: normal;
font-weight: 600;
line-height: normal;
}

.feature1 span{
color: #FFF;

font-family: Montserrat;
font-size: 2.5vw;
font-style: normal;
font-weight: 600;
line-height: normal;
}

.prodimages{
    width: 28%;
}

.prodimages img{
    width: 100%;
}

.bookg{
    font-size: 20.458px !important;

}

.technical{
    width: 100%;
    display: inline-flex;
align-items: center;
justify-content: center;
padding: 5vw 0;
}

.techcont{
    width: 95%;
justify-content: space-between;
display: flex;
align-items: center;

}

.column1{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 54px;
    width: 41%;
    opacity: 0;
    transform: translateX(-20px);
    transition: all 300ms ease;
}

.column1 h2{
    color: #FFF;
font-family: Montserrat;
font-size: 32px;
font-style: normal;
font-weight: 500;
line-height: normal;
}

.techspecs{
    display: flex;
width: 100%;

flex-direction: column;
align-items: flex-start;
height: auto;
}

.techspec{
    display: flex;
    flex-direction: column;
width: 100%;
overflow: hidden;
height: 104px;
    transition: height 0.3s ease;

}

.textbef{
    display: flex;
    padding: 39px 22px;
    align-items: center;
    width: 100%;
    justify-content: space-between;
border-bottom: 1px solid #747474;

}

.textbef h5{
    color: #FFF;
font-family: Montserrat;
font-size: 20px;
font-style: normal;
font-weight: 300;
line-height: normal;
}

.textafter{
    color: #FFF;
    font-family: Montserrat;
    font-size: 16px;
    font-style: normal;
    font-weight: 300;
    line-height: 154.88%; /* 24.781px */
    display: flex;
    padding: 20px 0 26px 0;
    align-items: center;
}

.toggle{
    transition: transform 0.3s ease;
    cursor: pointer;
}

.column2{
    width: 55%;
}

.column2 img{
    width: 100%;
    height: auto;
}

.column3{
    width: 45%;
    display: flex;
flex-direction: column;
align-items: center;
gap: 66px;
}

.meascard{
    display: flex;
flex-direction: column;
}

.meascard h6{
    color: #A0A0A0;
text-align: center;
font-family: Montserrat;
font-size: 15.55px;
font-style: normal;
font-weight: 400;
line-height: normal;
}

.meascard h5{
    color: #FFF;
font-family: Montserrat;
font-size: 21.81px;
font-style: normal;
font-weight: 600;
line-height: normal;
text-align: center;
}

.modelediting{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5vw 0;
}

.modeleditingcont{
    width: 95%;
    display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
gap: 29.525px;
}

.modeltitle_prod{
    display: flex;
justify-content: space-between;
align-items: flex-start;
align-self: stretch;
}

.modeltitle_prod h2{
    color: #FFF;
font-family: Montserrat;
font-size: 40.79px;
font-style: normal;
font-weight: 500;
line-height: normal;
}

.modeltitle_prod span{
    color: #C0C2B7;
text-align: right;
font-family: Montserrat;
font-size: 20.362px;
font-style: normal;
font-weight: 400;
line-height: normal;
width:50%;
}

.model3d_product{
    
    width: 100%;
    height: 55vh;
}

.taycan{
    width: 100%;
    height: 100%;
}

.editors{
    display: flex;
padding: 40.725px 0;
justify-content: space-between;
align-items: flex-start;
border-top: 1.018px solid #C0C2B7;
width: 100%;
}

.customize , .view{
    display: flex;
flex-direction: column;
align-items: flex-start;
gap: 18.326px;
flex-shrink: 0;
width: 27%;
}
.colors{
    display: flex;
align-items: center;
gap: 13.405px;
align-self: stretch;
}

.col23{
    width: 54%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    opacity: 0;
    transform: translateX(20px);
    transition: all 300ms ease;
}

.grey{
    width: 53.621px;
height: 53.621px;
background: #747474;
border-radius: 200px;
cursor: pointer;

}

.selectedcolor{
    border: 1.5px solid #fff !important;
}

.red{
    width: 53.621px;
height: 53.621px;
background: #890000;
border-radius: 200px;
cursor: pointer;


}
.green{
    width: 53.621px;
height: 53.621px;
background: #016056;
border-radius: 200px;
cursor: pointer;


}
.black{
    width: 53.621px;
height: 53.621px;
background: #000;
border-radius: 200px;
cursor: pointer;


}

.white{
    width: 53.621px;
height: 53.621px;
background: #fff;
cursor: pointer;

border-radius: 200px;

}

.blue{
    width: 53.621px;
height: 53.621px;
background: #1B2550;
border-radius: 200px;
cursor: pointer;
}

.cyan{
    width: 53.621px;
height: 53.621px;
background: #00c5ed;
border-radius: 200px;
cursor: pointer;

}

.yellow{
    width: 53.621px;
height: 53.621px;
background: rgb(208, 166, 0);
border-radius: 200px;
cursor: pointer;

}
.orange{
    width: 53.621px;
height: 53.621px;
background: rgb(208, 97, 0);
border-radius: 200px;
cursor: pointer;

}
.turq{
    width: 53.621px;
height: 53.621px;
background: #00789c;
border-radius: 200px;
cursor: pointer;

}

.gold{
    width: 53.621px;
height: 53.621px;
background: #654F00;
border-radius: 200px;
cursor: pointer;

}
.customize h3 , .view h3{
    color: #C0C2B7;
font-family: Montserrat;
font-size: 24.435px;
font-style: normal;
font-weight: 600;
line-height: normal;
}


.views{
    display: flex;
align-items: flex-start;
align-content: flex-start;
gap: 14px 9.163px;
flex-wrap: wrap;
}

.default , .top , .front , .left , .right , .back{
display: flex;
padding: 9px 42.761px;
justify-content: center;
align-items: center;
gap: 10.181px;
border-radius: 66.178px;
border: 1.018px solid #FFF;
color: #FFF;
font-family: Montserrat;
font-size: 20.362px;
font-style: normal;
font-weight: 400;
line-height: normal;
transition: all 300ms ease;
cursor: pointer;

}

.selectedview{
    background: #FFF !important;
    color: #191917 !important;
}

.top:hover , .front:hover , .left:hover , .right:hover , .back:hover , .default:hover{
    background: #FFF;
    color: #191917;
    cursor: pointer;
}

.views > div {
    cursor: pointer;
    transition: all 0.3s ease;
    padding: 10px 20px;
}

.colors > div {
    cursor: pointer;
    transition: all 0.3s ease;
}


.productabout{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 6vw 0;
}

.prodabtcont{
    width: 95%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.abouttext{
    width: 45%;
    display: flex;
flex-direction: column;
align-items: flex-start;
gap: 60px;
opacity: 0;
transform: translateX(20px);
transition: all 300ms ease;
}

.abouttext h1{
color: #FFF;
font-family: Montserrat;
font-size: 40.79px;
font-style: normal;
font-weight: 500;
line-height: normal;
}

.abouttext span{
    color: #D6FF41 !important;
}

.abouttext p{
color: #FFF;
font-family: Montserrat;
font-size: 18px;
font-style: normal;
font-weight: 300;
line-height: 128.086%; /* 26.898px */
}
html{
    scroll-behavior: smooth;
}

.aboutvid{
    width: 50%;
    height: 50vh;
    opacity: 0;
transform: translateX(20px);
transition: all 300ms ease 300ms;
}

.aboutvid video{
    width: 100%;
    height: 100%;
    border-radius: 20px;
    object-fit: cover;
}

.reviews{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 95px;
    padding: 5vw 0;
    flex-direction: column;
}

.reviewstit{
    width: 60%;
    display: flex;
flex-direction: column;
gap: 20px;
}

.reviewstit h1{
    color: var(--white, #FFF);
text-align: center;
font-family: Montserrat;
font-size: 42px;
font-style: normal;
font-weight: 300;
line-height: 105%; /* 51.313px */
}

.reviewstit p{
    color: var(--grey, #C0C2B7);
text-align: center;
font-family: Montserrat;
font-size: 24.435px;
font-style: normal;
font-weight: 300;
line-height: 105%; /* 25.657px */
}
.reviewstab{
    width: 100%;
    display: flex;
align-items: center;
overflow: hidden;
    justify-content: flex-start;
    align-items: center;
    padding-left: 3vw;

}

.reviewscont {
    display: flex;
    gap: 25px;
    height: 42vh;
    width: max-content;
    transition: transform 0.4s ease; /* 👈 animation */
}

.reviewtab{
    width: 465px;
    height: 100%;
    display: flex;
padding: 29.525px 21.381px;
flex-direction: column;
align-items: flex-start;
gap: 28.507px;
border-radius: 21.381px;
background: var(--white, #FFF);
}

.reviewtab p{
    color: #000;
font-family: Montserrat;
font-size: 15px;
font-style: normal;
font-weight: 400;

line-height: 130%; /* 22.5px */
}
.reviewmsg{
    height: 97.5px;
}
.user{
    display: flex;
align-items: center;
gap: 15.272px;
align-self: stretch;
}
.username{
    display: flex;
flex-direction: column;
justify-content: center;
align-items: flex-start;
gap: 2.03
}
.username h5{
    color: var(--body, #313131);
font-family: Montserrat;
font-size: 15.568px;
font-style: normal;
font-weight: 600;
line-height: 18.162px; /* 116.667% */
}

.username span{
    color: var(--black, #191917);
font-family: Montserrat;
font-size: 15.568px;
font-style: normal;
font-weight: 400;
line-height: 18.162px; /* 116.667% */}

.arrows{
    display: flex;
    gap: 15px;
}

.backward , .forward{
cursor: pointer;
}

@media (min-width: 600px) and (max-width: 1070px) {
.prodmodel{
    height: 42vh;
}

.curved{
    bottom: -20px;
    width: 84%;
}

.producttabs{
    padding: 0 2% 40px 2%;
}

.textbef{
    padding: 29px 18px;
}

.textafter{
    font-size: 13px;
}
.column1{
        width: 37%;
        gap: 28px;
}
.techspec{
    height: 84px;
}
.meascard h5{
    font-size: 16px;
}
.modeltitle_prod span{
    font-size: 14px;
}

.model3d_product{
    height: 40vh;
}
.customize h3, .view h3{
    font-size: 18px;
}
.views > div {
    padding: 7px 17px;
}
.default, .top, .front, .left, .right, .back{
    font-size: 14px;
}
.red ,.grey , .black , .white , .blue{
    width: 40px;
    height: 40px;
}

.customize{
    width: 40%;
}

.productabout{
    padding: 4vw 0;

}
.abouttext h1 , .reviewstit h1{
    font-size: 30px;}

.abouttext{
    gap: 30px;
}
.abouttext p{
    font-size: 14px;
}
.reviewstit p{
    font-size: 16px;}

.reviewstab p{
    font-size: 13px;
}
.reviewscont{
    height: 36vh;
}

.reviewtab{
    width: 335px;
}

}

@media (min-width: 300px) and (max-width: 600px){

    .prodmodel{
        height: 25vh;
    }

    .curved{
        bottom: -15px;
    width: 80%;
    }

    .producttabs{
        flex-direction: column;
        gap: 32px;
        padding: 0 2% 30px 2%;
    }

    .prodname , .prodfeat , .prodimages{
        width: 70%;
        align-items: center;
    }
    .prodname h3{
        font-size: 5vw;
    }
    .prodname h5{
        font-size: 7vw;
    }
    .feature1 h6{
        font-size: 3.5vw;
    }
    .feature1 span{
        font-size: 4.5vw;
    }
    .techcont{
        flex-direction: column-reverse;
    }
    .col23{
        width: 100%;
    }
    .column1{
        width: 100%;
        gap: 20px;
        margin-top: 12vw;
    }
    .modeltitle_prod{
        flex-direction: column;
        gap: 12px;
        align-items: center;
    }
    .modeltitle_prod span{
        width: 95%;
        font-size: 13px;
        text-align: center;
    }
    .modeltitle_prod h2 , .reviewstit h1 {
        font-size: 34px;
    }
    .model3d_product{
        height: 25vh;
    }
    .editors{
        flex-direction: column;
        gap: 30px;
    }
    .customize , .view{
        width: 100%;
    }
    .default, .top, .front, .left, .right, .back{
        font-size: 17px;
    }

    .prodabtcont{
        flex-direction: column;
        gap: 30px;
    }
    .reviewstit{
        width: 90%;
    }
    .abouttext , .aboutvid{
        width: 100%;
    }
    .reviewstit p{
        font-size: 13px;
    }
    .reviews{
            gap: 62px;
    padding: 15vw 0;

    }

    .reviewstab p{
        font-size: 12px;
    }

    .reviewscont{
        height: 35vh;
    }
    .reviewtab {
    width: 300px;
  }
.reviewmsg{
    height: 64.5px;
}
}